Commit bb3ddaa4 authored by Rocky Automation's avatar Rocky Automation 📺
Browse files

import dotnet5.0-5.0.203-1.el8_4

parent f8f1d57d
diff -Naurp dotnet-v5.0.203-SDK.orig/.dotnet/sdk/5.0.202/RuntimeIdentifierGraph.json dotnet-v5.0.203-SDK/.dotnet/sdk/5.0.202/RuntimeIdentifierGraph.json
--- dotnet-v5.0.203-SDK.orig/.dotnet/sdk/5.0.202/RuntimeIdentifierGraph.json 2021-04-27 07:00:42.000000000 -0700
+++ dotnet-v5.0.203-SDK/.dotnet/sdk/5.0.202/RuntimeIdentifierGraph.json 2021-05-30 19:47:22.047106925 -0700
@@ -1938,6 +1938,57 @@
"rhel.8.0-x64"
]
},
+ "rhel.8.2": {
+ "#import": [
+ "rhel.8.1"
+ ]
+ },
+ "rhel.8.2-arm64": {
+ "#import": [
+ "rhel.8.2",
+ "rhel.8.1-arm64"
+ ]
+ },
+ "rhel.8.2-x64": {
+ "#import": [
+ "rhel.8.2",
+ "rhel.8.1-x64"
+ ]
+ },
+ "rhel.8.3": {
+ "#import": [
+ "rhel.8.2"
+ ]
+ },
+ "rhel.8.3-arm64": {
+ "#import": [
+ "rhel.8.3",
+ "rhel.8.2-arm64"
+ ]
+ },
+ "rhel.8.3-x64": {
+ "#import": [
+ "rhel.8.3",
+ "rhel.8.2-x64"
+ ]
+ },
+ "rhel.8.4": {
+ "#import": [
+ "rhel.8.3"
+ ]
+ },
+ "rhel.8.4-arm64": {
+ "#import": [
+ "rhel.8.4",
+ "rhel.8.3-arm64"
+ ]
+ },
+ "rhel.8.4-x64": {
+ "#import": [
+ "rhel.8.4",
+ "rhel.8.3-x64"
+ ]
+ },
"rhel.9": {
"#import": [
"rhel"
@@ -1955,6 +2006,143 @@
"rhel-x64"
]
},
+ "rocky": {
+ "#import": [
+ "rhel"
+ ]
+ },
+ "rocky-arm64": {
+ "#import": [
+ "rocky",
+ "rhel-arm64"
+ ]
+ },
+ "rocky-x64": {
+ "#import": [
+ "rocky",
+ "rhel-x64"
+ ]
+ },
+ "rocky.8": {
+ "#import": [
+ "rocky",
+ "rhel.8"
+ ]
+ },
+ "rocky.8-arm64": {
+ "#import": [
+ "rocky.8",
+ "rocky-arm64",
+ "rhel.8-arm64"
+ ]
+ },
+ "rocky.8-x64": {
+ "#import": [
+ "rocky.8",
+ "rocky-x64",
+ "rhel.8-x64"
+ ]
+ },
+ "rocky.8.0": {
+ "#import": [
+ "rocky.8",
+ "rhel.8.0"
+ ]
+ },
+ "rocky.8.0-arm64": {
+ "#import": [
+ "rocky.8.0",
+ "rocky.8-arm64",
+ "rhel.8.0-arm64"
+ ]
+ },
+ "rocky.8.0-x64": {
+ "#import": [
+ "rocky.8.0",
+ "rocky.8-x64",
+ "rhel.8.0-x64"
+ ]
+ },
+ "rocky.8.1": {
+ "#import": [
+ "rocky.8.0",
+ "rhel.8.1"
+ ]
+ },
+ "rocky.8.1-arm64": {
+ "#import": [
+ "rocky.8.1",
+ "rocky.8.0-arm64",
+ "rhel.8.1-arm64"
+ ]
+ },
+ "rocky.8.1-x64": {
+ "#import": [
+ "rocky.8.1",
+ "rocky.8.0-x64",
+ "rhel.8.1-x64"
+ ]
+ },
+ "rocky.8.2": {
+ "#import": [
+ "rocky.8.1",
+ "rhel.8.2"
+ ]
+ },
+ "rocky.8.2-arm64": {
+ "#import": [
+ "rocky.8.2",
+ "rocky.8.1-arm64",
+ "rhel.8.2-arm64"
+ ]
+ },
+ "rocky.8.2-x64": {
+ "#import": [
+ "rocky.8.2",
+ "rocky.8.1-x64",
+ "rhel.8.2-x64"
+ ]
+ },
+ "rocky.8.3": {
+ "#import": [
+ "rocky.8.2",
+ "rhel.8.3"
+ ]
+ },
+ "rocky.8.3-arm64": {
+ "#import": [
+ "rocky.8.3",
+ "rocky.8.2-arm64",
+ "rhel.8.3-arm64"
+ ]
+ },
+ "rocky.8.3-x64": {
+ "#import": [
+ "rocky.8.3",
+ "rocky.8.2-x64",
+ "rhel.8.3-x64"
+ ]
+ },
+ "rocky.8.4": {
+ "#import": [
+ "rocky.8.3",
+ "rhel.8.4"
+ ]
+ },
+ "rocky.8.4-arm64": {
+ "#import": [
+ "rocky.8.4",
+ "rocky.8.3-arm64",
+ "rhel.8.4-arm64"
+ ]
+ },
+ "rocky.8.4-x64": {
+ "#import": [
+ "rocky.8.4",
+ "rocky.8.3-x64",
+ "rhel.8.4-x64"
+ ]
+ },
"sles": {
"#import": [
"linux"
@@ -3121,4 +3309,4 @@
]
}
}
-}
\ No newline at end of file
+}
diff -Naurp dotnet-v5.0.203-SDK.orig/build.sh dotnet-v5.0.203-SDK/build.sh
--- dotnet-v5.0.203-SDK.orig/build.sh 2021-02-26 14:01:45.000000000 -0700
+++ dotnet-v5.0.203-SDK/build.sh 2021-05-30 20:25:53.190820726 -0700
@@ -85,6 +85,53 @@ if [ -d "$CUSTOM_SDK_DIR" ]; then
export _InitializeDotNetCli="$CLI_ROOT/dotnet"
export CustomDotNetSdkDir="$CLI_ROOT"
echo "Using custom bootstrap SDK from '$CLI_ROOT', version '$SDK_VERSION'"
+ # It's impossible to modify RuntimeIdentifierGraph.json in a patch (8.4)
+ RIDGRAPH=$(find $CLI_ROOT -name RuntimeIdentifierGraph.json)
+ if ! grep -q rocky.8.4 $RIDGRAPH && ! grep -q rhel.8.4 $RIDGRAPH; then
+ sed -i '$d' $RIDGRAPH; sed -i '$d' $RIDGRAPH; sed -i '$d' $RIDGRAPH
+ cat >> $RIDGRAPH << EOF
+ },
+ "rhel.8.4": {
+ "#import": [
+ "rhel.8.3"
+ ]
+ },
+ "rhel.8.4-arm64": {
+ "#import": [
+ "rhel.8.4",
+ "rhel.8.3-arm64"
+ ]
+ },
+ "rhel.8.4-x64": {
+ "#import": [
+ "rhel.8.4",
+ "rhel.8.3-x64"
+ ]
+ },
+ "rocky.8.4": {
+ "#import": [
+ "rocky.8.3",
+ "rhel.8.4"
+ ]
+ },
+ "rocky.8.4-arm64": {
+ "#import": [
+ "rocky.8.4",
+ "rocky.8.3-arm64",
+ "rhel.8.4-arm64"
+ ]
+ },
+ "rocky.8.4-x64": {
+ "#import": [
+ "rocky.8.4",
+ "rocky.8.3-x64",
+ "rhel.8.4-x64"
+ ]
+ }
+ }
+}
+EOF
+ fi
else
sdkLine=`grep -m 1 'dotnet' "$SCRIPT_ROOT/global.json"`
sdkPattern="\"dotnet\" *: *\"(.*)\""
diff -Naurp dotnet-v5.0.203-SDK.orig/repos/Directory.Build.targets dotnet-v5.0.203-SDK/repos/Directory.Build.targets
--- dotnet-v5.0.203-SDK.orig/repos/Directory.Build.targets 2021-04-27 04:10:12.000000000 -0700
+++ dotnet-v5.0.203-SDK/repos/Directory.Build.targets 2021-05-30 15:07:13.769594858 -0700
......@@ -842,7 +687,7 @@ diff -Naurp dotnet-v5.0.203-SDK.orig/src/dotnet-runtime.478b2f8c0e480665f6c52c95
+}
diff -Naurp dotnet-v5.0.203-SDK.orig/src/dotnet-runtime.478b2f8c0e480665f6c52c95cd57830784dc9560/src/libraries/pkg/Microsoft.NETCore.Platforms/runtimeGroups.props dotnet-v5.0.203-SDK/src/dotnet-runtime.478b2f8c0e480665f6c52c95cd57830784dc9560/src/libraries/pkg/Microsoft.NETCore.Platforms/runtimeGroups.props
--- dotnet-v5.0.203-SDK.orig/src/dotnet-runtime.478b2f8c0e480665f6c52c95cd57830784dc9560/src/libraries/pkg/Microsoft.NETCore.Platforms/runtimeGroups.props 2021-04-27 09:00:03.000000000 -0700
+++ dotnet-v5.0.203-SDK/src/dotnet-runtime.478b2f8c0e480665f6c52c95cd57830784dc9560/src/libraries/pkg/Microsoft.NETCore.Platforms/runtimeGroups.props 2021-05-30 15:05:53.809577135 -0700
+++ dotnet-v5.0.203-SDK/src/dotnet-runtime.478b2f8c0e480665f6c52c95cd57830784dc9560/src/libraries/pkg/Microsoft.NETCore.Platforms/runtimeGroups.props 2021-05-30 20:26:47.084467890 -0700
@@ -179,7 +179,7 @@
<RuntimeGroup Include="rhel">
<Parent>linux</Parent>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment